<?php
/*
 * Class Name : GFHANNANSMS_Pro_{strtoupper( php file name) }	
 */
class GFHANNANSMS_Pro_IDEHPAYAM {

	/*
	* Gateway title	
	*/
	public static function name($gateways) {
	
		$name = 'ایده پیام';
		
		$gateway = array( strtolower( str_replace( 'GFHANNANSMS_Pro_', '', get_called_class())) => $name );
		return array_unique( array_merge( $gateways , $gateway ) );
	}
	
	
	/*
	* Gateway parameters
	*/
	public static function options(){
		return array(
			'token'  => 'توکن',
			//'from'  => 'خط ارسالی (همراه +98)'
		);
	}

	/*
	* Gateway credit
	*/
	public static function credit(){
		return false;
	}
	

	/*
	* Gateway action
	*/	
	public static function process( $options, $action, $from, $to, $messages ){
	
		if ( $action == 'credit' ) {
			return false;
		}
		
		if ( ! extension_loaded('soap') )
			return __('ماژول Soap بر روی هاست شما فعال نمی باشد .','GF_SMS');
		
		
		
		$token = $options['token'];
		//$from  = $options['from'];
		
		ini_set("soap.wsdl_cache_enabled", "0");
		
		$to = explode(',', $to);
		$i = sizeOf($to);
		while($i--){
			$uNumber = Trim($to[$i]);
			$ret = &$uNumber;
			if (substr($uNumber,0, 5) == '%2B98'){ 
				$ret = substr($uNumber, 5);
			}
			if (substr($uNumber,0, 5) == '%2b98'){ 
				$ret = substr($uNumber, 5);
			}
			if (substr($uNumber,0, 4) == '0098'){ 
				$ret = substr($uNumber, 4);
			}
			if (substr($uNumber,0, 3) == '098')	{ 
				$ret = substr($uNumber, 3);
			}
			if (substr($uNumber,0, 3) == '+98'){ 
				$ret = substr($uNumber, 3);
			}
			if (substr($uNumber,0, 2) == '98'){ 
				$ret = substr($uNumber, 2);
			}
			$to[$i] =  '0' . $ret;
		}
		
		try	{
			if ($action == "send") {
				
			$soap = new SoapClient( "http://185.112.33.61/wbs/send.php?wsdl" );
			$result = $soap->SendSMS($from,$to,$messages,0,$token);

			if ( ! empty( $result[0] ) && $result[0] > 100 ) {
				return 'OK';
			} else {
				return 'خطایی رخ داده است!';
			}
			}
		
		}
		catch (SoapFault $ex) {
			$errorstr = $ex->faultstring;
		}
	}
}